import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Write a description of class BouncingBall here.
 * 
 * @author (Emily Cord) 
 * @version (1.0)
 */
public class BouncingBall extends Actor
{
    private int xSpeed = 10;
    private int ySpeed = 10;
    /**
     * Act - do whatever the BouncingBall wants to do. This method is called whenever
     * the 'Act' or 'Run' button gets pressed in the environment.
     */
    public void act() 
    {
        ballMove();
        bounce();
        hitBall();
        hitBall2();
    }
    
    /**
     * BallMove makes the ball move in the world.
     */
    public void ballMove()
    {
        setLocation(getX() - xSpeed, getY() + ySpeed );
    }
    
    /**
     * Bounce makes the ball bounce off the edges of the world.
     */
    public void bounce()
    {
        if(getX() <= 0)
        {
            xSpeed = -xSpeed;
        }
        
        if(getX() >= getWorld().getWidth()-10 )
        {
            xSpeed = -xSpeed;
        }
        
        if(getY() <= 10 || getY() >= getWorld().getHeight() -10)
        {
            ySpeed = -ySpeed;
            Greenfoot.stop();
        }
    }
    
    /**
     * Checks for a collision with another ball and bounce off.
     */
    public void hitBall()
    {
        Actor a = getOneIntersectingObject(Paddle.class);
        if (a != null)
        {
            xSpeed = -xSpeed;
            ySpeed = -ySpeed;
        }
    }
    
        /**
     * Checks for a collision with another ball and bounce off.
     */
    public void hitBall2()
    {
        Actor a = getOneIntersectingObject(Paddle2.class);
        if (a != null)
        {
            xSpeed = -xSpeed;
            ySpeed = -ySpeed;
        }
    }
}